/*
 *  ----------------------------------------------------------------------------
 *  Filename      : HtmlPanel.java
 *  ----------------------------------------------------------------------------
 *  Application   : Soekia
 *  Author        : Matthias Dreier
 *  File created  : 09.09.2003
 *  ----------------------------------------------------------------------------
 *  This file is part of Soekia.
 *
 *  Soekia is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Soekia is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Soekia; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *  ----------------------------------------------------------------------------
 */
package ch.educeth.soekia.util;

import javax.swing.JEditorPane;

/**
 * HtmlPanel.
 *
 * @author	Matthias Dreier
 */
public class HtmlPanel extends JEditorPane {

	/**
	 * Creates an empty HtmlPanel.
	 */
	public HtmlPanel() {
		super();
		setEditable(false);
	}

	/**
	 * Shows the given file in the HTMLPanel.
	 *
	 * @param	file	The file to show.
	 */
	public void showFile(String file) {
		try {
			setPage(ClassLoader.getSystemResource(file));
		} catch (Exception ex) {
			ex.printStackTrace(System.err);
		}
	}

}
